| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::oneshot_timer Class Reference

Trigger a timed event once. The provided callback is called only once. More...

`#include <timer.h>`

## Public Member Functions

| oneshot_timer (class cluster *cl, uint64_t duration, timer_callback_t callback)
| Construct a new oneshot timer object.
| ~oneshot_timer ()
| Destroy the oneshot timer object.
void | cancel ()
| Cancel the one shot timer immediately. Callback function is not called.
timer | get_handle ()
| Get the handle for the created one-shot timer.

## Detailed Description

Trigger a timed event once. The provided callback is called only once.

## Constructor & Destructor Documentation

## ◆ oneshot_timer()

dpp::oneshot_timer::oneshot_timer | ( | class cluster * | cl,
|  | uint64_t | duration,
|  | timer_callback_t | callback )

Construct a new oneshot timer object.

Parameters

  cl | cluster owner
  duration | duration before firing
  callback | callback to call on firing

## ◆ ~oneshot_timer()

dpp::oneshot_timer::~oneshot_timer | ( |  | ) |

Destroy the oneshot timer object.

## Member Function Documentation

## ◆ cancel()

void dpp::oneshot_timer::cancel | ( |  | ) |

Cancel the one shot timer immediately. Callback function is not called.

## ◆ get_handle()

timer dpp::oneshot_timer::get_handle | ( |  | ) |

Get the handle for the created one-shot timer.

Returns
  timer handle for use with stop_timer

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0